#ifndef DSR_H

#include "types.h"

_dsr_header _dsrMakeHeader(uint8_t src, uint8_t dst, uint8_t req_id, uint8_t type, uint8_t jump, uint8_t ttl, uint8_t p_len);
_dsr_payload _dsrMakePayload(uint8_t *data);
_dsr_packet _dsrMakePacket(_dsr_header h, _dsr_payload p);
uint8_t *_dsrMakeFrame(_dsr_packet p);
int _dsrFreeFrame(uint8_t *frame);

#define DSR_H
#endif
